Skype Beta 2.2 su Debian Squeeze/Wheezy 64 bit

 

 

 

 

Scrivo solo due righe a proposito dell'aggiornamento di Skype alla versione Beta 2.2, giusto per segnalare che il pacchetto nell'area download del sito, dal nome  Debian 5+ 64-bit, funziona perfettamente su Debian Squeeze/Wheezy. Almeno si evita di usare questa procedura macchinosa. Per il resto Skype continua a considerare Linux, l'ultima ruota del carro.

 

enjoy 😉

Post simili (quasi):

17 pensieri riguardo “Skype Beta 2.2 su Debian Squeeze/Wheezy 64 bit”

  1. Unknown Unknown Unknown Unknown

    Per Skype Linux sarà anche l'ultima ruota del carro, ma almeno non è quel carrozzone pesantissimo con millemila opzioni inutili che è diventato su Windows. Certo che l'interfaccia su linux è molto spartana, e qualche opzione in più (tipo la suddivisione dei contatti in gruppi) non guasterebbe, ma almeno funziona egregiamente senza dover avere un quad core solo per caricarlo…
    Ciao

  2. Unknown Unknown Unknown Unknown

    # dpkg -i skype-debian_2.2.0.35-1_amd64.deb
    Selezionato il pacchetto skype.
    (Lettura del database… 78411 file e directory attualmente installati.)
    Estrazione di skype (da skype-debian_2.2.0.35-1_amd64.deb)…
    dpkg: problemi con le dipendenze impediscono la configurazione di skype:
    skype dipende da lib32stdc++6 (>= 4.1.1-21), ma:
    Il pacchetto lib32stdc++6 non è installato.
    skype dipende da lib32asound2 (>> 1.0.14), ma:
    Il pacchetto lib32asound2 non è installato.
    skype dipende da ia32-libs, ma:
    Il pacchetto ia32-libs non è installato.
    skype dipende da lib32gcc1 (>= 1:4.1.1-21+ia32.libs.1.19), ma:
    Il pacchetto lib32gcc1 non è installato.
    skype dipende da ia32-libs-gtk, ma:
    Il pacchetto ia32-libs-gtk non è installato.
    dpkg: errore nell’elaborare skype (–install):
    problemi con le dipendenze – lasciato non configurato
    Si sono verificati degli errori nell’elaborazione:
    skype

    Si è risolto tutto con un

    # aptitude update

    e un

    # aptitude safe-upgrade

    per poi terminare con:

    # dpkg -i skype-debian_2.2.0.35-1_amd64.deb
    (Lettura del database… 79593 file e directory attualmente installati.)
    Preparativi per sostituire skype v.2.2.0.35-1 (utilizzando skype-debian_2.2.0.35-1_amd64.deb)…
    Estrazione del sostituto di skype…
    Configurazione di skype (2.2.0.35-1)…

  3. Unknown Unknown Unknown Unknown

    prima di tutto , complimenti, da quando uso debian (2 mesi), il tuo blog e’ il mio punto di riferimento….
    ho un piccolo problema:
    ho installato la versione a 64 bit di skype sulla mia debian squeeze, ma sul tuo kernel 2.6.38 ,cliccando sull’icona di skype non succede niente….
    mentre sul kernel di base, cioe’ il 2.6.32 parte correttamente….

    probabilmente quello che per me e’ incomprensibile, per te e’ una banalita’…..

    come posso risolvere??

    ciao e grazie ancora!!

  4. Unknown Unknown Unknown Unknown

    @daniele
    vai nella cartella dove hai scaricato skype e da root dai:

    dpkg -i skype-debian_2.2.0.35-1_amd64.deb

    oppure controlla se hai installato gdebi, se vuoi che ti funziona tutto con un click

  5. Unknown Unknown Unknown Unknown

    no edmond, forse non hai capito, anzi, forse mi sono spiegato male io…

    skype e’ gia installato tramite gdebi, tant’e’ vero che e’ stata creata anche l’icona nel menu…..

    solo che lanciando skype mentre uso il kernel 2.6.32 funziona, e lanciandolo mentre uso il tuo kernel 2.6.38 non parte….

    per avere info piu’ dettagliate, provo a lanciarlo da terminale, ed eccoti la risposta:

    daniele@eeepc:$ skype
    bash: /urs/bin/skype: cannot execute binary file

  6. Unknown Unknown Unknown Unknown

    si ho provato ieri e non funzionava, ma ora, su due piedi , non ricordo cosa rispondeva il terminale….

    ma credo che il problema sia piu’ semplice, in quanto dopo aver installato skype da gdebi, se avvio il netbook dal kernel 2.6.32 e lancio skype, parte regolarmente, mentre se avvio il netbook dal kernel 2.6.38 (la versione di edmond), lancio skype e non succede nulla…..

    in cosa si differenziano i due kernel?? non dico in generale, ma nell’utilizzo di skype, ovvio…

  7. Unknown Unknown Unknown Unknown

    non è una questione di kernel, io ho appena installato skype su Sid con
    kernel 3.0.0-1-686-pae e non ci sono stati problemi….

  8. Unknown Unknown Unknown Unknown

    eccoti le risposte:

    daniele@eeepc:~$ uname -a
    Linux eeepc 2.6.38.2-ck3-edm #1 SMP Sun Apr 10 22:02:31 UTC 2011 x86_64 GNU/Linux
    daniele@eeepc:~$ ldd /usr/bin/skype
    /usr/bin/ldd: line 161: /lib/ld-linux.so.2: cannot execute binary file
    not a dynamic executable

    il secondo comando, dato sul pc fisso con mint 10, mi da un elenco di pacchetti, ma come puoi vedere anche tu qua sopra, su debian con kernel 2.6.38 mi da una specie di errore

    ora provo a dare gli stesi comandi da debian ma con l’altro kernel (2.6.32)

  9. Unknown Unknown Unknown Unknown

    eccoti gli stessi comandi ma dal kernel 2.6.32

    daniele@eeepc:~$ uname -a
    Linux eeepc 2.6.32-5-amd64 #1 SMP Fri Sep 9 20:23:16 UTC 2011 x86_64 GNU/Linux
    daniele@eeepc:~$ ldd /usr/bin/skype
    linux-gate.so.1 => (0xf7759000)
    libasound.so.2 => /usr/lib32/libasound.so.2 (0xf767b000)
    libXv.so.1 => /usr/lib32/libXv.so.1 (0xf7676000)
    libXss.so.1 => /usr/lib32/libXss.so.1 (0xf7672000)
    librt.so.1 => /lib32/librt.so.1 (0xf7669000)
    libQtDBus.so.4 => /usr/lib32/libQtDBus.so.4 (0xf75f1000)
    libQtGui.so.4 => /usr/lib32/libQtGui.so.4 (0xf6b4e000)
    libQtNetwork.so.4 => /usr/lib32/libQtNetwork.so.4 (0xf6a22000)
    libQtCore.so.4 => /usr/lib32/libQtCore.so.4 (0xf679d000)
    libpthread.so.0 => /lib32/libpthread.so.0 (0xf6784000)
    libstdc++.so.6 => /usr/lib32/libstdc++.so.6 (0xf668f000)
    libm.so.6 => /lib32/libm.so.6 (0xf6669000)
    libgcc_s.so.1 => /usr/lib32/libgcc_s.so.1 (0xf664b000)
    libc.so.6 => /lib32/libc.so.6 (0xf6504000)
    libdl.so.2 => /lib32/libdl.so.2 (0xf64ff000)
    libX11.so.6 => /usr/lib32/libX11.so.6 (0xf63e2000)
    libXext.so.6 => /usr/lib32/libXext.so.6 (0xf63d3000)
    /lib/ld-linux.so.2 (0xf775a000)
    libQtXml.so.4 => /usr/lib32/libQtXml.so.4 (0xf638e000)
    libdbus-1.so.3 => /lib32/libdbus-1.so.3 (0xf6354000)
    libfontconfig.so.1 => /usr/lib32/libfontconfig.so.1 (0xf6324000)
    libaudio.so.2 => /usr/lib32/libaudio.so.2 (0xf630e000)
    libglib-2.0.so.0 => /lib32/libglib-2.0.so.0 (0xf6245000)
    libpng12.so.0 => /lib32/libpng12.so.0 (0xf6221000)
    libz.so.1 => /usr/lib32/libz.so.1 (0xf620d000)
    libfreetype.so.6 => /usr/lib32/libfreetype.so.6 (0xf6195000)
    libgobject-2.0.so.0 => /usr/lib32/libgobject-2.0.so.0 (0xf6157000)
    libSM.so.6 => /usr/lib32/libSM.so.6 (0xf614f000)
    libICE.so.6 => /usr/lib32/libICE.so.6 (0xf6138000)
    libXrender.so.1 => /usr/lib32/libXrender.so.1 (0xf612f000)
    libgthread-2.0.so.0 => /usr/lib32/libgthread-2.0.so.0 (0xf612a000)
    libxcb.so.1 => /usr/lib32/libxcb.so.1 (0xf6110000)
    libexpat.so.1 => /usr/lib32/libexpat.so.1 (0xf60ea000)
    libXt.so.6 => /usr/lib32/libXt.so.6 (0xf6098000)
    libXau.so.6 => /usr/lib32/libXau.so.6 (0xf6095000)
    libpcre.so.3 => /lib32/libpcre.so.3 (0xf6062000)
    libuuid.so.1 => /lib32/libuuid.so.1 (0xf605d000)
    libXdmcp.so.6 => /usr/lib32/libXdmcp.so.6 (0xf6058000)

  10. Unknown Unknown Unknown Unknown

    # Automatically generated make config: don’t edit
    # Linux/x86_64 2.6.38.2-ck3-edm Kernel Configuration
    # Sun Apr 10 21:57:13 2011
    #
    CONFIG_64BIT=y
    # CONFIG_X86_32 is not set
    CONFIG_X86_64=y
    CONFIG_X86=y
    CONFIG_INSTRUCTION_DECODER=y
    CONFIG_OUTPUT_FORMAT=”elf64-x86-64″
    CONFIG_ARCH_DEFCONFIG=”arch/x86/configs/x86_64_defconfig”
    CONFIG_GENERIC_CMOS_UPDATE=y
    CONFIG_CLOCKSOURCE_WATCHDOG=y
    CONFIG_GENERIC_CLOCKEVENTS=y

    per caso il problema e’ quel cancelletto alla riga 6 ??

  11. Unknown Unknown Unknown Unknown

    ok ti ringrazio….
    quando e se avrai una risposta, batti un colpo !!

    nel frattempo continuero’ e sfogliare il tuo blog per ottimizzare la mia debian….

Lascia un commento

Il tuo indirizzo email non sarà pubblicato. I campi obbligatori sono contrassegnati *